%define section free

Name:           toolbutton
Version:        0.2
Release:        1jpp
Epoch:          0
Summary:        A button which can allow multiple actions to be selected
License:        BSD
URL:            http://toolbutton.tigris.org/
Group:          Development
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        http://toolbutton.tigris.org/files/documents/868/5775/ToolButton-0.2-src.zip
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ToolButton was originally designed for the ArgoUML project and has now
been broken out to allow reuse by other swing based applications.

ToolButton allows selection of several actions from one button by
various means. Dropping down additional buttons or rotating through
possible actions.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -c

%build
%javac `find . -name "*.java"`
cat > MANIFEST.MF << EOF
Manifest-Version: 1.0
EOF
%jar cvfm %{name}.jar MANIFEST.MF `find . -name "*.class"`
mkdir -p javadocs
%javadoc -d javadocs org.tigris.toolbutton

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -D -p -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Jan 23 2004 David Walluck <david@anti-microsoft.org> 0:0.2-1jpp
- release
